Bug 1316040 - Default service task I/O parameters not shown in "I/O Parameters" tab
Default service task I/O parameters not shown in "I/O Parameters" tab
Status: MODIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
6.3.0
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Kris Verlaenen
Jozef Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 05:05 EST by Jozef Marko
Modified: 2018-01-30 07:41 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jozef Marko 2016-03-09 05:05:15 EST
*** Description of problem:
Service task has two default parameters:
"Parameter" - input of operation
"Result" - output of operation

"Parameter" and "Result" can be set on "Service Task" tab. But these assignments are not shown in "I/O Parameters" tab

*** Version-Release number of selected component (if applicable):
jbds-9.1.0.Beta2_jbdsis-9.0.0.Beta1
BPMN2 Modeler - 1.2.3.CR2-v20160209-2002

*** Steps to Reproduce:
1. Create process containing 'service task'
2. Set implementation for 'service task'
3. Set operation for 'service task'
4. On 'Service Task' tab set 'Source' for operation input
5. On 'Service Task' tab set 'Target' for operation output
6. Save your work and check 'I/O Parameters' tab

*** Actual results:
There will be not "Parameter" neither "Result" assignment

*** Expected results:
There will be "Parameter" and "Result" assignment


*** Additional info:
User can fill on "I/O Parameters" tab input assignment named "Parameter" and output assignment named "Result". These are also stored in xml source. But they disappear from "I/O Parameters" tab after properties are reopened.
Comment 1 Jozef Marko 2016-03-14 03:56:47 EDT
Reproducible also on:
JBDSIS 8.0.6.CR1, JBTIS 4.2.6.CR1
BPMN2 Modeler 1.1.5.Final-v20160226-1727-B1298
Comment 2 Robert (Bob) Brodt 2016-03-23 10:01:19 EDT
This is intentional - I had to work hard to make this happen ;)

The idea is that these special, "hard-coded" parameters should not appear on the I/O Parameters tab because they are handled separately in the task-specific tab (for Receive Task, Send Task, Service Task, Manual Task and Human Task.) I believe it is confusing to be able to see and change them in two different places. Also, we DO NOT want the user to be able to delete them or change their names in the I/O Parameters table.

In any case, it is working as designed. Unless you feel really strongly that this is the wrong behavior, please close this BZ.
Comment 3 Jozef Marko 2016-04-05 09:43:32 EDT
Thanks Bob. I agree with you. Current behavior is right. It is correct not to show default parameters on "I/O Parameters" tab.

But now, user can duplicate "default parameters". First time, user can set these parameters on "Service Task" tab and second time, user can add these parameters on "IO Parameters" tab. Do you see my point?

What do you think, would it be possible to prohibit setting of parameters like "Parameter", "Result" on "I/O Parameters" tab? I think it would be nice to obtain message like:

Parameters "Parameter" and "Result" can be set only on "Service Task" tab.

Let me know what do you think about it.
Comment 4 Robert (Bob) Brodt 2016-04-05 10:05:28 EDT
Hi Jozef. Yes, you're right - this is a problem. Unfortunately the fix for this will have to go into the next service release of BPMN2 Modeler for Mars (taht will be version 1.2.5) since I have already delivered the "Final" bits to Paul for inclusion with the JBDSIS. It will definitely make into the Neon release though.
Comment 5 Jozef Marko 2016-04-05 10:13:00 EDT
Bob, Thanks for fast reply. I am fine with fix in next release. The issue is not critical.

Note You need to log in before you can comment on or make changes to this bug.